#import "CommonPlaySound.h"
#import <AVFoundation/AVFoundation.h>


@interface CommonPlaySound ()
@property(nonatomic,strong)AVAudioPlayer *audioPlayer;
@end

@implementation CommonPlaySound

-(instancetype)init{
    self = [super init];
    if (self) {
        self.audioPlayer = [[AVAudioPlayer alloc]init];
    }
    return self;
}


- (void) playSound:(NSString*)filePath{
    SystemSoundID soundID;
    NSString *path= filePath ;
    AudioServicesCreateSystemSoundID((__bridge CFURLRef)[NSURL fileURLWithPath:path], &soundID);
    AudioServicesPlaySystemSound(soundID);
}

@end
